import request from '@/assets/js/utils/request'
/*
* 供应商不良记录API接口
* */

//  获取不良记录查询列表
export function querySupplierBadSearchList(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/querySupplierBadSearchList',
    method: 'post',
    data
  })
}

// 提交解除申请
export function submitBadSearchAddDialog(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/submitBadSearchAddDialog',
    method: 'post',
    data
  })
}

// 获取解除申请信息
export function queryBadSearchDetailDialog(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/submitBadSearchDetailDialog',
    method: 'post',
    data
  })
}

// 新增不良记录
export function submitSupplierBadRecording(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/submitSupplierBadRecording',
    method: 'post',
    data
  })
}

// 查看不良记录
export function querySupplierBadRecording(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/querySupplierBadRecording',
    method: 'post',
    data
  })
}

// 获取解除不良记录申请
export function querySupplierRemoveBadInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/baseInfo/querySupplierRemoveBadInfo',
    method: 'post',
    data
  })
}
